
-- loadresource("data\\images\\GIRL.png","p1003",1003);
-- loadresource("data\\images\\boy.png","p1004",1004);
loadresource("data\\8\\0\\bg.jpg","bg",0033);
loadresource("data\\8\\0\\ray.jpg","ray",0033);
loadresource("data\\8\\0\\anim_krab.png","anim_krab",0033);
loadresource("data\\8\\0\\main_8.png","main",0033);
loadresource("data\\5\\0\\main_5_6_7.png","main1",18);
loadresource("data\\8\\0\\lodka_anim.png","lodka_anim",0000);
loadresource("data\\8\\0\\sea.jpg","sea",0000);
loadresource("data\\8\\0\\lodka_2.png","lodka2",0000);

loadresource("data\\8\\0\\ruchka.png","ruchka",0000);
loadresource("data\\8\\0\\koin1.png","koin1",0000);
loadresource("data\\8\\0\\koin2.png","koin2",0000);
loadresource("data\\8\\0\\koin3.png","koin3",0000);
loadresource("data\\8\\0\\koin1_nakl.png","koin1_nakl",0000);
loadresource("data\\8\\0\\koin2_nakl.png","koin2_nakl",0000);
loadresource("data\\8\\0\\karta.png","karta",0000);
loadresource("data\\8\\0\\karta_nakl.png","karta_nakl",0000);

loadresource("data\\ingame\\inv\\19.png","19");
loadresource("data\\ingame\\inv\\20.png","20");
loadresource("data\\ingame\\inv\\21.png","21");
loadresource("data\\ingame\\inv\\22.png","22");
loadresource("data\\ingame\\inv\\23.png","23");


	


addstaticobjecttogame(5000,"koin1_nakl",342,419,"");   --nakladka na coin1
NewObj("koin1","koin1",		342 ,419,"1");
speciale_action(10,5000)

addstaticobjecttogame(5001,"koin2_nakl",34,530,"");--nakladka na coin2
speciale_action(10,5001)
NewObj("koin2","koin2",		34 ,530,"2");
NewObj("koin3","koin3",		742 ,371,"3");

addstaticobjecttogame(5002,"karta_nakl",353,507,"");--nakladka na kartu
NewObj("karta","karta",		353 ,507,"4");
NewObj("ruchka","ruchka",		649 ,511,"5");	
	
NewObj("lodka2","lodka2",413,157,"");







-- add_animation(706);
-- add_animation_frame(706,"lodka_anim",220,298,0,0,546,124,0.3);-------------------κειρ
-- add_animation_frame(706,"lodka_anim",220,298,0,124,546,124,0.3);
-- add_animation_frame(706,"lodka_anim",220,298,0,248,546,124,0.3);
-- add_animation_frame(706,"lodka_anim",220,298,0,372,546,124,0.3);							

-- speciale_action(2,706);
-- addstaticobjecttogame(1025,"sea",0,0,"");
-- speciale_action(2,1025)
NewObj("ray","ray",		0,0,"");
set_visible_object(obj.ray.id, false)
add_animation(705);
-- function anim_krab()
-- playeffect("070")
-- playeffect("071")
-- end
addstaticobjecttogame(199,"ray",	0,0,"");
set_visible_object(199, false)
add_animation(705);
add_animation_frame(705,"anim_krab",1000,177,0,0,75,30,0.3);
-- AddFrameFunc(705,"anim_krab")
add_animation_frame(705,"anim_krab",1000,177,75,0,75,30,0.3);
add_animation_frame(705,"anim_krab",1000,177,150,0,75,30,0.3);
add_animation_frame(705,"anim_krab",1000,177,225,0,75,30,0.3);			

addstaticobjecttogame(200,"main",	172,178,"",0,395,120,137);
addstaticobjecttogame(201,"main",	89 ,581,"",120,395,198,58);

if not flags.chast1 then
NewObj("chast1","main1",		92 ,551,"",0,0,0,686,523,80);-----///-----
addstaticobjecttogame(202,"main",	275,598,"",0,0,356,58);
Set_Cursor(obj.chast1.id,4)
end;
OnMouseOver(obj.chast1.id)

if not flags.chast2 then
NewObj("chast2","main1",		711,168,"",0,0,140,554,183,54);-----///-----
addstaticobjecttogame(203,"main",	710,184,"",0,58,205,41);
Set_Cursor(obj.chast2.id,4)
end;
OnMouseOver(obj.chast2.id)
addstaticobjecttogame(204,"main",	641,452,"",297,58,25,20);

if not flags.chast3 then
NewObj("chast3","main1",			639,398,"",0,0,0,535,139,73);-----///----
addstaticobjecttogame(205,"main",	654,421,"",0,99,148,56);
Set_Cursor(obj.chast3.id,4)
end
OnMouseOver(obj.chast3.id)
addstaticobjecttogame(206,"main",	327,457,"",0,155,79,65);

if not flags.chast4 then
NewObj("chast4","main1",335,459,"",0,0,0,395,101,60);----///---
addstaticobjecttogame(207,"main",354,488,"",205,58,92,41);
Set_Cursor(obj.chast4.id,4)
end
OnMouseOver(obj.chast4.id)
addstaticobjecttogame(208,"main",615,316,"",80,188,121,25);

if not flags.chast5 then
NewObj("chast5","main1",615,253,"",0,0,347,598,144,88);---///---
addstaticobjecttogame(209,"main",615,295,"",148,99,187,51);
Set_Cursor(obj.chast5.id,4)
end
OnMouseOver(obj.chast5.id)
addstaticobjecttogame(210,"main",220,176,"",0,253,233,46);
if not flags.sbor2 then
speciale_action(2,210)
end;
addstaticobjecttogame(2000,"main",180,210,"",220,162,79,52)
if not flags.chast4 then
speciale_action(2,2000)
end

addstaticobjecttogame(211,"main",172,233,"",124,155,77,22);
addstaticobjecttogame(212,"main",201,248,"",299,0,102,17);
if not flags.sbor1 then
speciale_action(2,212)
end;
addstaticobjecttogame(213,"main",	201,248,"",0,220,320,33);
addactivobjecttogame(214,"main1",201,201,"","",0,0,0,608,347,79);
if flags.lodka and not flags.sobrana then
	Set_Cursor(214,4);
end;
addstaticobjecttogame(215,"main",180,202,"",121,154,76,59);
if not flags.sbor3 then
speciale_action(2,215)
end;
addstaticobjecttogame(221,"main",180,2022,"",121,154,76,59)
if not flags.sbor4 then
speciale_action(2,221)
end;
addstaticobjecttogame(222,"main",180,2022,"",121,154,76,59)
if not flags.sbor5 then
speciale_action(2,222)
end;
NewObj("telega","main1",586,144,"6",0,0,228,511,83,43);--------------------
if not flags.telega then
addstaticobjecttogame(216,"main",592,165,"",119,453,95,25);
end


NewObj("trubka","main1",65 ,194,"7",0,0,83,456,48,79);
NewObj("rascheska","main1",614,620,"8",0,0,174,436,99,23);
NewObj("shetka","main1",820,625,"9",0,0,175,416,67,20);
NewObj("galstuk","main1",916,308,"10",0,0,139,454,35,100);
NewObj("remen","main1",440,458,"11",0,0,228,471,78,40);
NewObj("cat","main1",772,530,"12",0,0,173,459,55,94);
addstaticobjecttogame(218,"main",565,312,"",80,155,45,31);
speciale_action(10,218);
NewObj("chasi","main1",565,313,"13",0,0,173,386,43,29);
NewObj("botinok","main1",201,471,"14",0,0,0,455,83,80);
NewObj("wlyapa","main1",867,448,"15",0,0,101,395,72,54);  

addstaticobjecttogame(219,"bg",0,0,"");
setcolor(219,1,1,1,0)                                     
 speciale_action(10,219)                                         
addstaticobjecttogame(223,"bg",0,0,"");

field = {201,170,  201+347, 170, 201+347, 170+120,  201, 170+120   }
CreatePolygon(214,4, "field" )
-- ShowPolygon(214,true)




set_pixel_check(214,false)
speciale_action(2,214)
Set_Cursor(obj.lodka2.id,4)
OnMouseOver(obj.chast1.id)
OnMouseOver(obj.chast2.id)
OnMouseOver(obj.chast3.id)
OnMouseOver(obj.chast4.id)
OnMouseOver(obj.chast5.id)
OnMouseOver(obj.lodka2.id)

---------------------------------------------------------
CreateCommonObjects( 8 );